import ts from 'typescript';
declare class LanguageServiceHost implements ts.LanguageServiceHost {
    private _compileOptions;
    private _versions;
    private _snapshots;
    private _fileNames;
    private _cwd;
    constructor(options: ts.CompilerOptions, cwd: string);
    getCompilationSettings(): ts.CompilerOptions;
    getScriptFileNames(): string[];
    getScriptVersion(fileName: string): string;
    setScriptSnapshot(fileName: string, code: string): void;
    getScriptSnapshot(fileName: string): ts.IScriptSnapshot | undefined;
    getCurrentDirectory(): string;
    getDefaultLibFileName(opts: ts.CompilerOptions): string;
    fileExists(path: string): boolean;
    readFile(path: string, encoding?: string): string | undefined;
    readDirectory(path: string, extensions?: string[], exclude?: string[], include?: string[], depth?: number): string[];
    directoryExists(dirName: string): boolean;
    getDirectories(dirName: string): string[];
}
export default LanguageServiceHost;
