"use strict";
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
Object.defineProperty(exports, "__esModule", { value: true });
function conditionCompile(code, defines) {
    var arr = code.split('\n');
    var isHasDefine = false;
    var defineValue = false;
    var needSplitCode = [];
    var tempStart = 0;
    for (var i = 0; i < arr.length; i += 1) {
        if (/^\/\/\s*#if/.test(arr[i])) {
            isHasDefine = true;
            tempStart = i;
            var itemArr = arr[i].split(/\s+/);
            defineValue = defines[itemArr[itemArr.length - 1]];
        }
        else if (/^\/\/\s*#elif/.test(arr[i])) {
            // 处理前面是否需要remove
            if (isHasDefine && !defineValue) {
                needSplitCode.push([tempStart, i]);
            }
            tempStart = i;
            var itemArr = arr[i].split(/\s+/);
            defineValue = !defineValue && defines[itemArr[itemArr.length - 1]];
        }
        else if (/^\/\/\s*#el/.test(arr[i])) {
            // 处理前面是否需要remove
            if (isHasDefine && !defineValue) {
                needSplitCode.push([tempStart, i]);
            }
            tempStart = i;
            defineValue = !defineValue;
        }
        if (/^\/\/\s*#endif/.test(arr[i])) {
            // 处理前面是否需要remove
            if (isHasDefine && !defineValue) {
                needSplitCode.push([tempStart, i]);
            }
            isHasDefine = false;
        }
    }
    var result = [];
    tempStart = 0;
    for (var i = 0; i < needSplitCode.length; i += 1) {
        var _a = __read(needSplitCode[i], 2), start = _a[0], end = _a[1];
        result = result.concat(arr.slice(tempStart, start));
        tempStart = end;
    }
    result = result.concat(arr.slice(tempStart, arr.length));
    return result.join('\n');
}
exports.default = conditionCompile;
