import ts from 'typescript';
export declare const DEFAULT_COMPILER_OPTIONS: ts.CompilerOptions;
export declare function formatCompilerOptions(compilerOptions: ts.CompilerOptions): {
    [x: string]: ts.CompilerOptionsValue | ts.TsConfigSourceFile;
    allowJs?: boolean | undefined;
    allowSyntheticDefaultImports?: boolean | undefined;
    allowUmdGlobalAccess?: boolean | undefined;
    allowUnreachableCode?: boolean | undefined;
    allowUnusedLabels?: boolean | undefined;
    alwaysStrict?: boolean | undefined;
    baseUrl?: string | undefined;
    charset?: string | undefined;
    checkJs?: boolean | undefined;
    declaration?: boolean | undefined;
    declarationMap?: boolean | undefined;
    emitDeclarationOnly?: boolean | undefined;
    declarationDir?: string | undefined;
    disableSizeLimit?: boolean | undefined;
    disableSourceOfProjectReferenceRedirect?: boolean | undefined;
    disableSolutionSearching?: boolean | undefined;
    disableReferencedProjectLoad?: boolean | undefined;
    downlevelIteration?: boolean | undefined;
    emitBOM?: boolean | undefined;
    emitDecoratorMetadata?: boolean | undefined;
    exactOptionalPropertyTypes?: boolean | undefined;
    experimentalDecorators?: boolean | undefined;
    forceConsistentCasingInFileNames?: boolean | undefined;
    importHelpers?: boolean | undefined;
    importsNotUsedAsValues?: ts.ImportsNotUsedAsValues | undefined;
    inlineSourceMap?: boolean | undefined;
    inlineSources?: boolean | undefined;
    isolatedModules?: boolean | undefined;
    jsx?: ts.JsxEmit | undefined;
    keyofStringsOnly?: boolean | undefined;
    lib?: string[] | undefined;
    locale?: string | undefined;
    mapRoot?: string | undefined;
    maxNodeModuleJsDepth?: number | undefined;
    module?: ts.ModuleKind | undefined;
    moduleResolution?: ts.ModuleResolutionKind | undefined;
    moduleSuffixes?: string[] | undefined;
    moduleDetection?: ts.ModuleDetectionKind | undefined;
    newLine?: ts.NewLineKind | undefined;
    noEmit?: boolean | undefined;
    noEmitHelpers?: boolean | undefined;
    noEmitOnError?: boolean | undefined;
    noErrorTruncation?: boolean | undefined;
    noFallthroughCasesInSwitch?: boolean | undefined;
    noImplicitAny?: boolean | undefined;
    noImplicitReturns?: boolean | undefined;
    noImplicitThis?: boolean | undefined;
    noStrictGenericChecks?: boolean | undefined;
    noUnusedLocals?: boolean | undefined;
    noUnusedParameters?: boolean | undefined;
    noImplicitUseStrict?: boolean | undefined;
    noPropertyAccessFromIndexSignature?: boolean | undefined;
    assumeChangesOnlyAffectDirectDependencies?: boolean | undefined;
    noLib?: boolean | undefined;
    noResolve?: boolean | undefined;
    noUncheckedIndexedAccess?: boolean | undefined;
    out?: string | undefined;
    outDir?: string | undefined;
    outFile?: string | undefined;
    paths?: ts.MapLike<string[]> | undefined;
    preserveConstEnums?: boolean | undefined;
    noImplicitOverride?: boolean | undefined;
    preserveSymlinks?: boolean | undefined;
    preserveValueImports?: boolean | undefined;
    project?: string | undefined;
    reactNamespace?: string | undefined;
    jsxFactory?: string | undefined;
    jsxFragmentFactory?: string | undefined;
    jsxImportSource?: string | undefined;
    composite?: boolean | undefined;
    incremental?: boolean | undefined;
    tsBuildInfoFile?: string | undefined;
    removeComments?: boolean | undefined;
    rootDir?: string | undefined;
    rootDirs?: string[] | undefined;
    skipLibCheck?: boolean | undefined;
    skipDefaultLibCheck?: boolean | undefined;
    sourceMap?: boolean | undefined;
    sourceRoot?: string | undefined;
    strict?: boolean | undefined;
    strictFunctionTypes?: boolean | undefined;
    strictBindCallApply?: boolean | undefined;
    strictNullChecks?: boolean | undefined;
    strictPropertyInitialization?: boolean | undefined;
    stripInternal?: boolean | undefined;
    suppressExcessPropertyErrors?: boolean | undefined;
    suppressImplicitAnyIndexErrors?: boolean | undefined;
    target?: ts.ScriptTarget | undefined;
    traceResolution?: boolean | undefined;
    useUnknownInCatchVariables?: boolean | undefined;
    resolveJsonModule?: boolean | undefined;
    types?: string[] | undefined;
    typeRoots?: string[] | undefined;
    esModuleInterop?: boolean | undefined;
    useDefineForClassFields?: boolean | undefined;
};
